# class ActiveSupport::LogSubscriber::TestHelper::MockLogger

### Attributes

flush_count[R]
level[RW]

### Public Class Methods

new(level = DEBUG) click to toggle source

    # File lib/active_support/log_subscriber/test_helper.rb, line 58
    def initialize(level = DEBUG)
      @flush_count = 0
      @level = level
      @logged = Hash.new { |h,k| h[k] = [] }
    end

### Public Instance Methods

flush() click to toggle source

    # File lib/active_support/log_subscriber/test_helper.rb, line 72
    def flush
      @flush_count += 1
    end

logged(level) click to toggle source

    # File lib/active_support/log_subscriber/test_helper.rb, line 68
    def logged(level)
      @logged[level].compact.map { |l| l.to_s.strip }
    end

method_missing(level, message) click to toggle source

    # File lib/active_support/log_subscriber/test_helper.rb, line 64
    def method_missing(level, message)
      @logged[level] << message
    end